import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconZoomIn as IconZoomInClass } from "../../../../components/icon/icons/zoom-in.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconZoomIn = (props) => {
  IconZoomInClass.define();
  const JSXElement = getReactComponent("gds-icon-zoom-in");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconZoomIn.displayName = "IconZoomIn";
export {
  IconZoomIn
};
